using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace LiveSamples
{
	/// <summary>
	/// Summary description for LiveComparison.
	/// </summary>
	public class LiveComparison : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DropDownList DropDownList1;
		protected System.Web.UI.WebControls.Image Image1;
		protected Dart.LiveControls.LiveLabel LiveLabel1;
		protected Dart.LiveControls.LiveDropDownList LiveDropDownList1;
		protected Dart.LiveControls.LiveImage LiveImage1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!IsPostBack)
			{
				// Populate the "Dead" Dropdown
				DropDownList1.Items.Add("Treman Falls-10");
				DropDownList1.Items.Add("Treman Falls-11");
				DropDownList1.Items.Add("Treman Falls-12");
				DropDownList1.Items.Add("Treman Falls-13");
				DropDownList1.Items.Add("Treman Falls-4");
				DropDownList1.Items.Add("Treman Falls-5");
				DropDownList1.SelectedIndex = 2;
				DropDownList1_SelectedIndexChanged(this, null);

				// Populate the "Live" Dropdown
				LiveDropDownList1.Items.Add("Treman Falls-10");
				LiveDropDownList1.Items.Add("Treman Falls-11");
				LiveDropDownList1.Items.Add("Treman Falls-12");
				LiveDropDownList1.Items.Add("Treman Falls-13");
				LiveDropDownList1.Items.Add("Treman Falls-4");
				LiveDropDownList1.Items.Add("Treman Falls-5");
				LiveDropDownList1.SelectedIndex = 2;
				LiveDropDownList1_SelectedIndexChanged(this, null);
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			if (!this.DesignMode)
                InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.DropDownList1.SelectedIndexChanged += new System.EventHandler(this.DropDownList1_SelectedIndexChanged);
			this.LiveDropDownList1.SelectedIndexChanged += new System.EventHandler(this.LiveDropDownList1_SelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void DropDownList1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			Image1.Width = Unit.Pixel(200);
			Image1.ImageUrl = "slides/" + DropDownList1.SelectedItem.Text + ".jpg";
		}

		private void LiveDropDownList1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			if(LiveDropDownList1.SelectedIndex != -1)
			{
				LiveImage1.Width = Unit.Pixel(200);
				LiveImage1.ImageUrl = "slides/" + LiveDropDownList1.SelectedItem.Text + ".jpg";
			}
		}
	}
}
