using System;

namespace LiveSamples
{
	/// <summary>
	/// Summary description for LiveShared.
	/// </summary>
	public class LiveShared
	{
		private static Random r = new Random();

		public static long GetRandomNumber(int Min, int Max)
		{
			int n = r.Next(Min, Max+1);
			System.Diagnostics.Debug.WriteLine("GetRandomNumber: " + n.ToString());
			return n;
		}

		public static int GetRatio(Int32 Count, Int32 Total)
		{
			if(Total <= 0)
				return 0;
			double r = Count / (double)Total;
			r = r * 100;
			return (int)r;
		}
	}
}
