Namespace LiveSamples
	''' <summary>
	''' Summary description for LiveShared.
	''' </summary>
	Public Class LiveShared
		Private Shared r As New Random()

		Public Shared Function GetRandomNumber(ByVal Min As Integer, ByVal Max As Integer) As Long
			Dim n As Integer = r.Next(Min, Max+1)
			System.Diagnostics.Debug.WriteLine("GetRandomNumber: " & n.ToString())
			Return n
		End Function

		Public Shared Function GetRatio(ByVal Count As Int32, ByVal Total As Int32) As Integer
			If Total <= 0 Then
				Return 0
			End If
			Dim r As Double = Count / CDbl(Total)
			r = r * 100
			Return CInt(Fix(r))
		End Function
	End Class
End Namespace
