Imports System.Collections
Imports System.ComponentModel
Imports System.Web.SessionState
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls
Imports Dart.LiveControls

Namespace LiveSamples
	''' <summary>
	''' Summary description for LiveShoppingCart.
	''' </summary>
	Public Class LiveShoppingCart
		Inherits System.Web.UI.Page

		Protected WithEvents ddMemory As Dart.LiveControls.LiveDropDownList
		Protected lblMemory As Dart.LiveControls.LiveLabel
		Protected WithEvents ddCPU As Dart.LiveControls.LiveDropDownList
		Protected lblCPU As Dart.LiveControls.LiveLabel
		Protected WithEvents imgCase1 As Dart.LiveControls.LiveImageButton
		Protected WithEvents imgCase2 As Dart.LiveControls.LiveImageButton
		Protected WithEvents imgCase3 As Dart.LiveControls.LiveImageButton
		Protected lblCase As Dart.LiveControls.LiveLabel
		Protected WithEvents chkModem As Dart.LiveControls.LiveCheckBox
		Protected lblModem As Dart.LiveControls.LiveLabel
		Protected WithEvents chkNetworkCard As Dart.LiveControls.LiveCheckBox
		Protected lblNetworkCard As Dart.LiveControls.LiveLabel
		Protected WithEvents rbWarranty1 As Dart.LiveControls.LiveRadioButton
		Protected WithEvents rbWarranty2 As Dart.LiveControls.LiveRadioButton
		Protected lblWarranty As Dart.LiveControls.LiveLabel
		Protected lblTotal As Dart.LiveControls.LiveLabel
		Protected WithEvents cmdCheckOut As Dart.LiveControls.LiveButton
		Protected LiveMessageBox1 As Dart.LiveControls.LiveMessageBox
		Protected WithEvents cmdGetPrices As Dart.LiveControls.LiveButton

		Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
			If Not IsPostBack Then
				imgCase2_Click(Me, Nothing)
				GetAllPrices()
			End If
		End Sub

		#Region "Web Form Designer generated code"
		Protected Overrides Sub OnInit(ByVal e As EventArgs)
			'
			' CODEGEN: This call is required by the ASP.NET Web Form Designer.
			'
			If Not Me.DesignMode Then
				InitializeComponent()
			End If
			MyBase.OnInit(e)
		End Sub

		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
'			Me.ddMemory.SelectedIndexChanged += New System.EventHandler(Me.ddMemory_SelectedIndexChanged)
'			Me.ddCPU.SelectedIndexChanged += New System.EventHandler(Me.ddCPU_SelectedIndexChanged)
'			Me.imgCase1.Click += New System.Web.UI.ImageClickEventHandler(Me.imgCase1_Click)
'			Me.imgCase2.Click += New System.Web.UI.ImageClickEventHandler(Me.imgCase2_Click)
'			Me.imgCase3.Click += New System.Web.UI.ImageClickEventHandler(Me.imgCase3_Click)
'			Me.chkModem.CheckedChanged += New System.EventHandler(Me.chkModem_CheckedChanged)
'			Me.chkNetworkCard.CheckedChanged += New System.EventHandler(Me.chkNetworkCard_CheckedChanged)
'			Me.rbWarranty1.CheckedChanged += New System.EventHandler(Me.rbWarranty1_CheckedChanged)
'			Me.rbWarranty2.CheckedChanged += New System.EventHandler(Me.rbWarranty2_CheckedChanged)
'			Me.cmdGetPrices.Click += New System.EventHandler(Me.cmdGetPrices_Click)
'			Me.cmdCheckOut.Click += New System.EventHandler(Me.cmdCheckOut_Click)
'			Me.Load += New System.EventHandler(Me.Page_Load)

		End Sub
		#End Region

		Private Sub ddMemory_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddMemory.SelectedIndexChanged
			lblMemory.Text = ""
			GetMemoryPrice()
			GetTotal()
		End Sub

		Private Sub ddCPU_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddCPU.SelectedIndexChanged
			lblCPU.Text = ""
			GetCPUPrice()
			GetTotal()
		End Sub

		Private Sub cmdGetPrices_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdGetPrices.Click
			GetAllPrices()
		End Sub

		Private Sub imgCase1_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles imgCase1.Click
			imgCase1.BorderStyle = BorderStyle.Solid
			imgCase1.BorderColor = Color.Red
			imgCase1.BorderWidth = Unit.Pixel(1)
			imgCase2.BorderStyle = BorderStyle.None
			imgCase3.BorderStyle = BorderStyle.None
			GetCasePrice()
			GetTotal()
		End Sub

		Private Sub imgCase2_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles imgCase2.Click
			imgCase1.BorderStyle = BorderStyle.None
			imgCase2.BorderStyle = BorderStyle.Solid
			imgCase2.BorderColor = Color.Red
			imgCase2.BorderWidth = Unit.Pixel(1)
			imgCase3.BorderStyle = BorderStyle.None
			GetCasePrice()
			GetTotal()
		End Sub

		Private Sub imgCase3_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles imgCase3.Click
			imgCase1.BorderStyle = BorderStyle.None
			imgCase2.BorderStyle = BorderStyle.None
			imgCase3.BorderStyle = BorderStyle.Solid
			imgCase3.BorderColor = Color.Red
			imgCase3.BorderWidth = Unit.Pixel(1)
			GetCasePrice()
			GetTotal()
		End Sub

		Private Sub chkModem_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles chkModem.CheckedChanged
			GetModemPrice()
			GetTotal()
		End Sub

		Private Sub chkNetworkCard_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles chkNetworkCard.CheckedChanged
			GetNetworkCardPrice()
			GetTotal()
		End Sub

		Private Sub rbWarranty1_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rbWarranty1.CheckedChanged
			GetWarrantyPrice()
			GetTotal()
		End Sub

		Private Sub rbWarranty2_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rbWarranty2.CheckedChanged
			GetWarrantyPrice()
			GetTotal()
		End Sub

		Private Sub GetAllPrices()
			GetMemoryPrice()
			GetCPUPrice()
			GetModemPrice()
			GetNetworkCardPrice()
			GetWarrantyPrice()
			GetCasePrice()
			GetTotal()
		End Sub

		Private Sub GetModemPrice()
			If chkModem.Checked Then
				lblModem.Text = (14.99).ToString("C")
			Else
				lblModem.Text = (0).ToString("C")
			End If
		End Sub

		Private Sub GetNetworkCardPrice()
			If chkNetworkCard.Checked Then
				lblNetworkCard.Text = (27.99).ToString("C")
			Else
				lblNetworkCard.Text = (0).ToString("C")
			End If
		End Sub

		Private Sub GetWarrantyPrice()
			If rbWarranty1.Checked Then
				lblWarranty.Text = (0).ToString("C")
			Else
				lblWarranty.Text = (149.99).ToString("C")
			End If
		End Sub

		Private Sub GetCasePrice()
			If imgCase1.BorderStyle <> BorderStyle.None Then
				lblCase.Text = "$38.75"
			End If
			If imgCase2.BorderStyle <> BorderStyle.None Then
				lblCase.Text = "$62.95"
			End If
			If imgCase3.BorderStyle <> BorderStyle.None Then
				lblCase.Text = "$82.50"
			End If
		End Sub

		Private Sub GetTotal()
			Dim total As Double = 0

			total += GetDoubleFromLabel(lblWarranty)
			total += GetDoubleFromLabel(lblNetworkCard)
			total += GetDoubleFromLabel(lblModem)
			total += GetDoubleFromLabel(lblCPU)
			total += GetDoubleFromLabel(lblMemory)
			total += GetDoubleFromLabel(lblCase)
			lblTotal.Text = total.ToString("C")
		End Sub

		Private Function GetDoubleFromLabel(ByVal Label As LiveLabel) As Double
			Try
				Return Convert.ToDouble(Label.Text.Replace("$", "").Replace(",", ""))
			Catch
				Return 0.0
			End Try
		End Function

		Private Sub GetMemoryPrice()
			' If there is no selected item, do nothing
			If ddMemory.SelectedItem Is Nothing Then
				Return
			End If

			' If currentprice = 0 then this is first time
			' otherwise determine a random price based on 
			' the current
			Dim startprice As Double = GetDoubleFromLabel(lblMemory)

			If startprice = 0 Then
				Select Case ddMemory.SelectedItem.Text
					Case "64M"
						startprice = 8.23
					Case "128M"
						startprice = 16.46
					Case "256M"
						startprice = 49.67
					Case "512M"
						startprice = 86.23
					Case "1G"
						startprice = 128.23
				End Select
			End If

			' Set the current price to the startprice
			Dim currentprice As Double = startprice

			' Pick a random number between 1 and 3. 
			' If result is 1, then perform a simulated price change
			If LiveShared.GetRandomNumber(1, 3) = 1 Then
				Dim increase As Boolean = True
				If LiveShared.GetRandomNumber(0, 1) = 0 Then
					increase = False
				End If

				' Determine the current price (between 1% and 5% of the start)
				Dim factor As Double = LiveShared.GetRandomNumber(1, 5) / 100.0
				If increase Then
					factor = 1 + factor
				Else
					factor = 1 - factor
				End If
				currentprice *= factor
			End If

			' Set the current price
			lblMemory.Text = currentprice.ToString("C")
		End Sub

		Private Sub GetCPUPrice()
			' If there is no selected item, do nothing
			If ddCPU.SelectedItem Is Nothing Then
				Return
			End If

			' If currentprice = 0 then this is first time
			' otherwise determine a random price based on 
			' the current
			Dim startprice As Double = GetDoubleFromLabel(lblCPU)

			If startprice = 0 Then
				Select Case ddCPU.SelectedItem.Text
					Case "2000 Mhz"
						startprice = 136.99
					Case "2200 Mhz"
						startprice = 212.23
					Case "3200 Mhz"
						startprice = 328.76
					Case "8800 Mhz"
						startprice = 6892.32
				End Select
			End If

			' Set the current price to the startprice
			Dim currentprice As Double = startprice

			' Pick a random number between 1 and 3. 
			' If result is 1, then perform a simulated price change
				If LiveShared.GetRandomNumber(1, 3) = 1 Then
					Dim increase As Boolean = True
					If LiveShared.GetRandomNumber(0, 1) = 0 Then
						increase = False
					End If

					' Determine the current price (between 1% and 5% of the start)
					Dim factor As Double = LiveShared.GetRandomNumber(1, 5) / 100.0
					If increase Then
						factor = 1 + factor
					Else
						factor = 1 - factor
					End If
					currentprice *= factor
				End If

			' Set the current price
			lblCPU.Text = currentprice.ToString("C")
		End Sub

		Private Sub cmdCheckOut_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmdCheckOut.Click
			Dim msg As String = "Your total is " & GetDoubleFromLabel(lblTotal).ToString("C")
			msg &= ". Thank you for your order!"
			LiveMessageBox1.Show(msg,DialogType.Alert)
		End Sub
	End Class
End Namespace
