using System;
using System.Collections;
using System.Web.UI;
using Dart.LiveControls;

namespace LiveTutorial
{
	/// <summary>
	/// Summary description for LiveUserControl.
	/// </summary>
	public class LiveUserControl : System.Web.UI.UserControl
	{
		public LiveUserControl():base()
		{
		}

		public bool NewLoad
		{
			get
			{
				object o = null;
				try
				{
					o = Session["NewLoad"];
				}
				catch
				{
					return false;
				}
				return (o==null)?false:(bool)o;
			}
			set
			{
				Session["NewLoad"] = value;
			}
		}

		public ArrayList GetLiveControls()
		{
			ArrayList controls = new ArrayList();
			foreach(Control c in Controls)
			{
				if(c is ILiveControl) controls.Add(c);
				if(c is LivePanel)
				{
					foreach(Control cc in ((LivePanel)c).Controls)
						if(cc is ILiveControl) controls.Add(cc);
				}
			}
			return controls;
		}
	}
}
