<%@ Register TagPrefix="cc1" Namespace="Dart.LiveControls" Assembly="Dart.LiveControls" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="a)_what_are_live_controls.ascx.cs" Inherits="LiveTutorial.using_LiveControls" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<p>
	<b>LiveControls</b> are a suite of ASP.NET server controls which parallel the 
	intrinsic Microsoft ASP.NET server controls found in System.Web.UI.WebControls. 
	LiveControls enable developers to build advanced and highly-responsive web 
	applications which are both <b>cross-browser compatible</b> and can <b>communicate 
		with the server without refreshing the page</b>, all while using familiar 
	ASP.NET techniques (no learning curve). In addition, nothing is used except 
	common DHTML/remote scripting techniques. There is no use of Flash, Java, or 
	other plug-in technology.
</p>
<p>
	Try the mini-Customer Relationship Management demo below to see some of these 
	techniques. As you browse around the interface, note how quickly and cleanly 
	the application responds to UI manipulation.
</p>
<p>
	This Tutorial application is made up of many demonstrations, starting with the 
	basics ("How Do LiveControls Work?"), introducing each control, and finally 
	demonstrating some advanced techniques.
</p>
<p><b>Instructions:</b> Interact with the application below to see the various 
	LiveControls in action.</p>
<table style="BORDER-RIGHT: black 1px solid; BORDER-TOP: black 1px solid; BORDER-LEFT: black 1px solid; BORDER-BOTTOM: black 1px solid" height="400" width="680">
	<TBODY>
		<tr>
			<td class="frame" id="tableframe" align="right" width="100%" height="100%"><IMG src="images/crmtitle.gif">
				<table cellSpacing="0" cellPadding="0" width="100%" border="0">
					<TBODY>
						<tr>
							<td align="middle" width="70"><cc1:liveimagebutton id="btnActivities" ImageUrl="../../images/activities.gif" runat="server"></cc1:liveimagebutton><br>
								<span class="whitetext">Activities</span>
								<br>
								<br>
								<br>
								<cc1:liveimagebutton id="btnContacts" ImageUrl="../../images/contact.gif" runat="server"></cc1:liveimagebutton><br>
								<span class="whitetext">Contacts</span>
								<br>
								<br>
								<br>
								<cc1:liveimagebutton id="btnEmail" ImageUrl="../../images/email.gif" runat="server"></cc1:liveimagebutton><br>
								<span class="whitetext">Email</span>
								<br>
								<br>
								<br>
								<cc1:liveimagebutton id="btnStyles" ImageUrl="../../images/styles.gif" runat="server"></cc1:liveimagebutton><br>
								<span class="whitetext">Styles</span>
							</td>
							<td>
								<table style="BORDER-RIGHT: black 1px solid; BORDER-TOP: black 1px solid; BORDER-LEFT: black 1px solid; BORDER-BOTTOM: black 1px solid" height="360" width="580" bgColor="white" border="0">
									<TBODY>
										<tr>
											<td vAlign="top" width="100%" height="100%"><cc1:livepanel id="pnlActivities" runat="server" Display="true" Width="100%" Height="90%">
													<TABLE height="100%" cellPadding="5" width="100%">
														<TR>
															<TD vAlign="top" width="100%">
																<TABLE width="100%">
																	<TR>
																		<TD class="headerbar" width="100%" colSpan="4" name="header"><IMG height="20" src="images/activities.gif" align="absMiddle">
																			<cc1:LiveLabel id="lblActivitiesTitle" runat="server"></cc1:LiveLabel></TD>
																	</TR>
																	<TR>
																		<TD class="tablehead" width="40%"><B>Description:</B></TD>
																		<TD class="tablehead" width="20%"><B>Priority:</B></TD>
																		<TD class="tablehead" width="20%"><B>Type:</B></TD>
																		<TD class="tablehead" width="20%"><B>Due Date:</B></TD>
																	</TR>
																	<TR>
																		<TD colSpan="4">&nbsp;<BR>
																		</TD>
																	</TR>
																	<TR>
																		<TD class="linered" colSpan="4"><B>Past due activities</B></TD>
																	</TR>
																</TABLE>
																<cc1:livedatagrid id="gridPastDue" runat="server" Width="100%" AutoGenerateColumns="false" ShowHeader="false" GridLines="None">
																	<Columns>
																		<cc1:LiveButtonColumn>
																			<ItemStyle Width="40%"></ItemStyle>
																		</cc1:LiveButtonColumn>
																		<cc1:LiveBoundColumn DataField="Priority">
																			<ItemStyle Width="20%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																		<cc1:LiveBoundColumn DataField="Type">
																			<ItemStyle Width="20%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																		<cc1:LiveBoundColumn DataField="DueDate">
																			<ItemStyle Width="20%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																	</Columns>
																</cc1:livedatagrid><BR>
																<BR>
																<TABLE width="100%">
																	<TR>
																		<TD class="linegreen"><B>Activities due today:</B></TD>
																	</TR>
																</TABLE>
																<cc1:livedatagrid id="gridDueToday" runat="server" Width="100%" AutoGenerateColumns="false" ShowHeader="false" GridLines="None">
																	<Columns>
																		<cc1:LiveButtonColumn>
																			<ItemStyle Width="40%"></ItemStyle>
																		</cc1:LiveButtonColumn>
																		<cc1:LiveBoundColumn DataField="Priority">
																			<ItemStyle Width="20%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																		<cc1:LiveBoundColumn DataField="Type">
																			<ItemStyle Width="20%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																		<cc1:LiveBoundColumn DataField="DueDate">
																			<ItemStyle Width="20%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																	</Columns>
																</cc1:livedatagrid><BR>
																<TABLE>
																	<TR>
																		<TD><BR>
																			<cc1:LiveLinkButton id="btnAddActivity" runat="server">Add a new activity</cc1:LiveLinkButton></TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</cc1:livepanel><cc1:livepanel id="pnlContacts" runat="server" Display="false" Width="100%" Height="90%">
													<TABLE height="100%" cellPadding="5" width="100%">
														<TR>
															<TD vAlign="top" width="100%">
																<TABLE width="100%">
																	<TR>
																		<TD class="headerbar" width="100%" colSpan="4" name="header"><IMG height="20" src="images/contact.gif" align="absMiddle">
																			<cc1:LiveLabel id="lblContactsTitle" runat="server"></cc1:LiveLabel></TD>
																	</TR>
																	<TR>
																		<TD class="tablehead" width="33%"><B>Company:</B></TD>
																		<TD class="tablehead" width="22%"><B>Contact:</B></TD>
																		<TD class="tablehead" width="22%"><B>Telephone:</B></TD>
																		<TD class="tablehead" width="22%"><B>Last contact:</B></TD>
																	</TR>
																	<TR>
																		<TD colSpan="4">&nbsp;<BR>
																		</TD>
																	</TR>
																	<TR>
																		<TD class="lineblack" colSpan="4"><B>My Contacts</B></TD>
																	</TR>
																</TABLE>
																<cc1:livedatagrid id="gridContacts" runat="server" Width="100%" AutoGenerateColumns="false" ShowHeader="false" GridLines="None">
																	<Columns>
																		<cc1:LiveBoundColumn DataField="Company">
																			<ItemStyle Width="33%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																		<cc1:LiveBoundColumn DataField="ContactName">
																			<ItemStyle Width="22%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																		<cc1:LiveBoundColumn DataField="Telephone">
																			<ItemStyle Width="22%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																		<cc1:LiveBoundColumn DataField="LastContact">
																			<ItemStyle Width="22%"></ItemStyle>
																		</cc1:LiveBoundColumn>
																	</Columns>
																</cc1:livedatagrid><BR>
																<TABLE>
																	<TR>
																		<TD><BR>
																			<BR>
																			<BR>
																			<BR>
																			<BR>
																			<BR>
																			<cc1:LiveLinkButton id="btnAddContact" runat="server">Add a new contact</cc1:LiveLinkButton></TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</cc1:livepanel><cc1:livepanel id="pnlEmail" runat="server" Display="false" Width="100%" Height="90%">
													<TABLE height="100%" cellPadding="5" width="100%">
														<TR>
															<TD vAlign="top" width="100%">
																<TABLE width="100%">
																	<TR>
																		<TD class="headerbar" width="100%" colSpan="3" name="header"><IMG height="20" src="images/email.gif" align="absMiddle">
																			<cc1:LiveLabel id="lblEmailTitle" runat="server"></cc1:LiveLabel></TD>
																	</TR>
																	<TR>
																		<TD class="tablehead"><B>From:</B></TD>
																		<TD class="tablehead"><B>Subject:</B></TD>
																		<TD class="tablehead"><B>Date:</B></TD>
																	</TR>
																	<TR>
																		<TD colSpan="3">&nbsp;<BR>
																		</TD>
																	</TR>
																	<TR>
																		<TD class="lineblack" colSpan="3"><B>New Mail</B>
																		</TD>
																	</TR>
																</TABLE>
																<BR>
																<cc1:livedatagrid id="gridEmail" runat="server" Width="100%" AutoGenerateColumns="false" ShowHeader="false" GridLines="None">
																	<Columns>
																		<cc1:LiveBoundColumn DataField="From"></cc1:LiveBoundColumn>
																		<cc1:LiveButtonColumn></cc1:LiveButtonColumn>
																		<cc1:LiveBoundColumn DataField="Date"></cc1:LiveBoundColumn>
																	</Columns>
																</cc1:livedatagrid><BR>
																<TABLE>
																	<TR>
																		<TD><BR>
																			<BR>
																			<BR>
																			<BR>
																			<BR>
																			<BR>
																			<BR>
																			<cc1:LiveLinkButton id="lnkCompose" runat="server">Compose a new email message</cc1:LiveLinkButton></TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</cc1:livepanel><cc1:livepanel id="pnlStyles" runat="server" Display="false" Width="100%" Height="90%">
													<TABLE height="100%" cellPadding="5" width="100%">
														<TR>
															<TD vAlign="top" width="100%">
																<TABLE width="100%">
																	<TR>
																		<TD class="headerbar" width="100%" name="header"><IMG height="20" src="images/styles.gif" align="absMiddle">
																			<cc1:LiveLabel id="lblStylesTitle" runat="server"></cc1:LiveLabel></TD>
																	</TR>
																	<TR>
																		<TD class="tablehead"><B>Use this screen to modify the way Simple Live-CRM Demo looks.</B>
																		</TD>
																	</TR>
																	<TR>
																		<TD><BR>
																			<BR>
																			<TABLE width="80%">
																				<TR>
																					<TD><B>Choose application colors:</B></TD>
																					<TD>
																						<cc1:LiveDropDownList id="ddStyles" runat="server" AutoPostBack="True"></cc1:LiveDropDownList></TD>
																				</TR>
																				<TR>
																					<TD><B>Choose icon size:</B></TD>
																					<TD>
																						<cc1:LiveDropDownList id="ddIconSize" runat="server" AutoPostBack="True"></cc1:LiveDropDownList></TD>
																				</TR>
																				<TR>
																					<TD><B>Choose font face:</B></TD>
																					<TD>
																						<cc1:LiveDropDownList id="ddFontFace" runat="server" AutoPostBack="True"></cc1:LiveDropDownList></TD>
																				</TR>
																			</TABLE>
																		</TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</cc1:livepanel><cc1:livepanel id="pnlCompose" runat="server" Display="false" Width="100%" Height="90%">
													<TABLE height="100%" cellPadding="5" width="100%">
														<TR>
															<TD vAlign="top" width="100%">
																<TABLE width="100%">
																	<TR>
																		<TD class="headerbar" width="100%" name="header"><IMG height="20" src="images/email.gif" align="absMiddle">Compose 
																			new email message</TD>
																	</TR>
																	<TR>
																		<TD>
																			<TABLE>
																				<TR>
																					<TD><B>To:</B></TD>
																					<TD>
																						<cc1:livetextbox id="txtTo" runat="server"></cc1:livetextbox></TD>
																				</TR>
																				<TR>
																					<TD><B>Subject:</B></TD>
																					<TD>
																						<cc1:livetextbox id="txtSubject" runat="server"></cc1:livetextbox></TD>
																				</TR>
																				<TR>
																					<TD><B>Message:</B></TD>
																					<TD>
																						<cc1:livetextbox id="txtMessage" runat="server" Rows="5" Columns="40" TextMode="MultiLine"></cc1:livetextbox></TD>
																				</TR>
																				<TR>
																					<TD colSpan="2">
																						<cc1:LiveLinkButton id="btnSend" runat="server" WaitMessage="Sending message....." WaitElementID="mailLabel">Send</cc1:LiveLinkButton>&nbsp;&nbsp;<SPAN id="mailLabel"></SPAN></TD>
																				</TR>
																			</TABLE>
																		</TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</cc1:livepanel><cc1:livepanel id="pnlViewMail" runat="server" Display="false" Width="100%" Height="90%">
													<TABLE height="100%" cellPadding="5" width="100%">
														<TR>
															<TD vAlign="top" width="100%">
																<TABLE width="100%">
																	<TR>
																		<TD class="headerbar" width="100%" name="header"><IMG height="20" src="images/email.gif" align="absMiddle">View 
																			email message</TD>
																	</TR>
																	<TR>
																		<TD>
																			<TABLE width="100%">
																				<TR>
																					<TD class="tablehead" width="50"><B>From:</B></TD>
																					<TD class="tablehead">
																						<cc1:livelabel id="lblFrom" runat="server"></cc1:livelabel></TD>
																				</TR>
																				<TR>
																					<TD class="tablehead" width="50"><B>Date:</B></TD>
																					<TD class="tablehead">
																						<cc1:livelabel id="lblDate" runat="server"></cc1:livelabel></TD>
																				</TR>
																				<TR>
																					<TD class="tablehead" width="50"><B>Subject:</B></TD>
																					<TD class="tablehead">
																						<cc1:livelabel id="lblSubject" runat="server"></cc1:livelabel></TD>
																				</TR>
																				<TR>
																					<TD class="linebottom" colSpan="2"><BR>
																						<BR>
																						<cc1:livelabel id="lblMessage" runat="server"></cc1:livelabel><BR>
																						<BR>
																					</TD>
																				</TR>
																				<TR>
																					<TD colSpan="2">
																						<cc1:livelinkbutton id="btnClose" runat="server">Close</cc1:livelinkbutton><BR>
																						<cc1:livelinkbutton id="btnReply" runat="server">Reply</cc1:livelinkbutton><BR>
																						<cc1:livelinkbutton id="btnForward" runat="server">Forward</cc1:livelinkbutton><BR>
																					</TD>
																				</TR>
																			</TABLE>
																		</TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</cc1:livepanel><cc1:livepanel id="pnlViewActivity" runat="server" Display="false" Width="100%" Height="90%">
													<TABLE height="100%" cellPadding="5" width="100%">
														<TR>
															<TD vAlign="top" width="100%">
																<TABLE width="100%">
																	<TR>
																		<TD class="headerbar" width="100%" name="header"><IMG height="20" src="images/activities.gif" align="absMiddle">View 
																			Activity</TD>
																	</TR>
																	<TR>
																		<TD>
																			<TABLE width="100%">
																				<TR>
																					<TD class="tablehead"><B>Activity description:</B></TD>
																					<TD class="tablehead">
																						<cc1:livelabel id="lblActivityDescription" runat="server"></cc1:livelabel></TD>
																				</TR>
																				<TR>
																					<TD class="tablehead"><B>Priority:</B></TD>
																					<TD class="tablehead">
																						<cc1:livelabel id="lblPriority" runat="server"></cc1:livelabel></TD>
																				</TR>
																				<TR>
																					<TD class="tablehead"><B>Type:</B></TD>
																					<TD class="tablehead">
																						<cc1:livelabel id="lblType" runat="server"></cc1:livelabel></TD>
																				</TR>
																				<TR>
																					<TD class="tablehead"><B>Due date:</B></TD>
																					<TD class="tablehead">
																						<cc1:livelabel id="lblDueDate" runat="server"></cc1:livelabel></TD>
																				</TR>
																				<TR>
																					<TD class="linebottom" colSpan="2"><BR>
																						<BR>
																						<cc1:livelabel id="lblDetail" runat="server"></cc1:livelabel><BR>
																						<BR>
																					</TD>
																				</TR>
																				<TR>
																					<TD colSpan="2">
																						<cc1:livelinkbutton id="btnCloseActivity" runat="server">Close</cc1:livelinkbutton><BR>
																						<cc1:livelinkbutton id="btnMarkComplete" runat="server">Mark Completed</cc1:livelinkbutton><BR>
																					</TD>
																				</TR>
																			</TABLE>
																		</TD>
																	</TR>
																</TABLE>
															</TD>
														</TR>
													</TABLE>
												</cc1:livepanel>
											</td>
										</tr>
									</TBODY>
								</table>
							</td>
						</tr>
					</TBODY>
				</table>
			</td>
		</tr>
	</TBODY>
</table>
<cc1:livemessagebox id="LiveMessageBox1" runat="server"></cc1:livemessagebox>
