<%@ Control Language="c#" AutoEventWireup="false" Codebehind="f)_using_LiveMessageBox.ascx.cs" Inherits="LiveTutorial.e_using_LiveMessageBox" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="cc1" Namespace="Dart.LiveControls" Assembly="Dart.LiveControls" %>
<p>The LiveMessageBox Live Control can be used to display an alert box, a confirm box, or a prompt box, simply by using a server-side LiveMessageBox.Show method. If the box displayed gathers information from the user, this information is returned to the server and provided within a LiveMessageBox.Response event.</p>
<p>The LiveMessageBox is useful for performing many functions. A good example is an advanced form validator. For example, many forms prompt a user for an email address. You could combine LiveTextBox and LiveMessageBox to make the strictest possible email validator. The user could enter their email address into the LiveTextBox. When they tab into the next field, the LiveTextBox could perform a callback to the server. Server-side code could then be executed to connected to the mail server of the email address and attempt to send an email message. If this fails, a message could be displayed notifying the user that their email address was determined to be invalid. All of this would happen transparently, without any UI disruption to the user, who could continue filling out the form.</p>
<p><b>Instructions:</b> Click the following buttons to display the three box types supported by LiveMessageBox.</p>
<cc1:LiveButton id="btnAlert" Text="Display Alert Box" runat="server"></cc1:LiveButton>&nbsp;&nbsp;&nbsp;
<cc1:LiveButton id="btnConfirm" Text="Display Confirm Box" runat="server"></cc1:LiveButton>&nbsp;&nbsp;&nbsp;
<cc1:LiveButton id="btnPrompt" Text="Display Prompt Box" runat="server"></cc1:LiveButton><br>
<br>
<cc1:LiveLabel id="LiveLabel1" runat="server"></cc1:LiveLabel>
<cc1:LiveMessageBox id="LiveMessageBox1" runat="server"></cc1:LiveMessageBox>
