<%@ Register TagPrefix="cc1" Namespace="Dart.LiveControls" Assembly="Dart.LiveControls" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="g)_using_LiveSound.ascx.cs" Inherits="LiveTutorial.f_using_LiveSound" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<p>LiveSound is used to play an audio file by the use of a server-side "Play()" 
	method. This can be used to add sound to application events. For example, one 
	potential use would be playing a doorbell chime when a new user joins a chat 
	application.
</p>
<p>
	The following example demonstrates a simulated application which monitors the 
	temperature of several factory machines. When one of the machines reaches the 
	temperature limit, an alarm is played, notifying the application user of the 
	potential danger.
</p>
<p><b>Instructions:</b> Click the button to start the simulation. Wait for one of 
	the machines to get too hot.</p>
<cc1:LiveButton id="btnStart" Text="Start Simulation" runat="server"></cc1:LiveButton>&nbsp;&nbsp;&nbsp;
<cc1:LiveButton id="btnStop" Text="Stop Simulation" runat="server"></cc1:LiveButton>&nbsp;&nbsp;&nbsp;
<cc1:LiveButton id="btnReset" Text="Reset Simulation" runat="server"></cc1:LiveButton>
<br>
<br>
<br>
<table width="90%">
	<tr>
		<td width="20%"><b>Machine</b></td>
		<td width="20%"><b>Max Temp</b></td>
		<td width="60%"><b>Current Temp</b></td>
	</tr>
	<tr>
		<td>Machine 1</td>
		<td>530 degrees</td>
		<td>
			<cc1:LiveLabel id="lblMachine1" runat="server">LiveLabel</cc1:LiveLabel></td>
	</tr>
	<tr>
		<td>Machine 2</td>
		<td>500 degrees</td>
		<td>
			<cc1:LiveLabel id="lblMachine2" runat="server"></cc1:LiveLabel></td>
	</tr>
	<tr>
		<td>Machine 3</td>
		<td>400 degrees</td>
		<td>
			<cc1:LiveLabel id="lblMachine3" runat="server"></cc1:LiveLabel></td>
	</tr>
	<tr>
		<td>Machine 4</td>
		<td>800 degrees</td>
		<td>
			<cc1:LiveLabel id="lblMachine4" runat="server"></cc1:LiveLabel></td>
	</tr>
</table>
<cc1:LiveSound id="LiveSound1" runat="server" Source="sounds/horn.mp3"></cc1:LiveSound>
<cc1:LiveTimer id="LiveTimer1" runat="server" Interval="500"></cc1:LiveTimer>
<cc1:LiveMessageBox id="LiveMessageBox1" runat="server"></cc1:LiveMessageBox>
