Imports System.Collections
Imports System.Web.UI
Imports Dart.LiveControls

Namespace LiveTutorial
	''' <summary>
	''' Summary description for LiveUserControl.
	''' </summary>
	Public Class LiveUserControl
		Inherits System.Web.UI.UserControl

		Public Sub New()
			MyBase.New()
		End Sub

		Public Property NewLoad() As Boolean
			Get
				Dim o As Object = Nothing
				Try
					o = Session("NewLoad")
				Catch
					Return False
				End Try
				If o Is Nothing Then
					Return False
				Else
					Return CBool(o)
				End If
			End Get
			Set(ByVal value As Boolean)
				Session("NewLoad") = value
			End Set
		End Property

		Public Function GetLiveControls() As ArrayList
'INSTANT VB NOTE: The variable controls was renamed since Visual Basic does not handle local variables named the same as class members well:
			Dim controls_Renamed As New ArrayList()
			For Each c As Control In Controls
				If TypeOf c Is ILiveControl Then
					controls_Renamed.Add(c)
				End If
				If TypeOf c Is LivePanel Then
					For Each cc As Control In CType(c, LivePanel).Controls
						If TypeOf cc Is ILiveControl Then
							controls_Renamed.Add(cc)
						End If
					Next cc
				End If
			Next c
			Return controls_Renamed
		End Function
	End Class
End Namespace
