Imports System.Collections
Imports Dart.LiveControls
Imports System.Web.UI.HtmlControls
Imports System.Web.UI.WebControls
Imports System.Web.UI

Namespace LiveTutorial

    Public Enum View
        Contacts
        Activities
        Email
        Styles
    End Enum

    ''' <summary>
    '''		Summary description for using_LiveControls.
    ''' </summary>
    Public MustInherit Class using_LiveControls
        Inherits LiveUserControl

        Protected WithEvents btnActivities As Dart.LiveControls.LiveImageButton
        Protected WithEvents btnEmail As Dart.LiveControls.LiveImageButton
        Protected WithEvents btnStyles As Dart.LiveControls.LiveImageButton
        Protected pnlContacts As Dart.LiveControls.LivePanel
        Protected pnlActivities As Dart.LiveControls.LivePanel
        Protected pnlEmail As Dart.LiveControls.LivePanel
        Protected pnlStyles As Dart.LiveControls.LivePanel
        Protected lblContactsTitle As Dart.LiveControls.LiveLabel
        Protected lblActivitiesTitle As Dart.LiveControls.LiveLabel
        Protected lblEmailTitle As Dart.LiveControls.LiveLabel
        Protected lblStylesTitle As Dart.LiveControls.LiveLabel
        Protected WithEvents ddStyles As Dart.LiveControls.LiveDropDownList
        Protected WithEvents ddIconSize As Dart.LiveControls.LiveDropDownList
        Protected WithEvents ddFontFace As Dart.LiveControls.LiveDropDownList
        Protected btnMessage1 As Dart.LiveControls.LiveLinkButton
        Protected btnMessage2 As Dart.LiveControls.LiveLinkButton
        Protected btnMessage3 As Dart.LiveControls.LiveLinkButton
        Protected btnMessage4 As Dart.LiveControls.LiveLinkButton
        Protected WithEvents lnkCompose As Dart.LiveControls.LiveLinkButton
        Protected txtTo As Dart.LiveControls.LiveTextBox
        Protected txtSubject As Dart.LiveControls.LiveTextBox
        Protected txtMessage As Dart.LiveControls.LiveTextBox
        Protected pnlCompose As Dart.LiveControls.LivePanel
        Protected WithEvents btnSend As Dart.LiveControls.LiveLinkButton
        Protected LiveMessageBox1 As Dart.LiveControls.LiveMessageBox
        Protected WithEvents gridEmail As Dart.LiveControls.LiveDataGrid
        Protected WithEvents btnContacts As Dart.LiveControls.LiveImageButton
        Protected lblFrom As Dart.LiveControls.LiveLabel
        Protected lblDate As Dart.LiveControls.LiveLabel
        Protected lblSubject As Dart.LiveControls.LiveLabel
        Protected lblMessage As Dart.LiveControls.LiveLabel
        Protected pnlViewMail As Dart.LiveControls.LivePanel
        Protected WithEvents btnClose As Dart.LiveControls.LiveLinkButton
        Protected WithEvents btnReply As Dart.LiveControls.LiveLinkButton
        Protected WithEvents btnForward As Dart.LiveControls.LiveLinkButton
        Protected WithEvents gridContacts As Dart.LiveControls.LiveDataGrid
        Protected WithEvents btnAddContact As Dart.LiveControls.LiveLinkButton

        Private contacts As New ArrayList()
        Private email As New ArrayList()
        Private pastDueActivities As New ArrayList()
        Protected WithEvents gridPastDue As Dart.LiveControls.LiveDataGrid
        Protected WithEvents gridDueToday As Dart.LiveControls.LiveDataGrid
        Protected WithEvents btnAddActivity As Dart.LiveControls.LiveLinkButton
        Protected Livelinkbutton3 As Dart.LiveControls.LiveLinkButton
        Protected pnlViewActivity As Dart.LiveControls.LivePanel
        Protected lblActivityDescription As Dart.LiveControls.LiveLabel
        Protected lblPriority As Dart.LiveControls.LiveLabel
        Protected lblType As Dart.LiveControls.LiveLabel
        Protected lblDetail As Dart.LiveControls.LiveLabel
        Protected lblDueDate As Dart.LiveControls.LiveLabel
        Protected WithEvents btnCloseActivity As Dart.LiveControls.LiveLinkButton
        Protected WithEvents btnMarkComplete As Dart.LiveControls.LiveLinkButton
        Protected LiveRadioButton1 As Dart.LiveControls.LiveRadioButton
        Private activities As New ArrayList()

        Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
            ' Next few functions are some cheating to provide some demo data
            LoadFakeMail()
            LoadFakeContacts()
            LoadFakePastDueActivities()
            LoadFakeActivities()

            ' The reason these are done with each request is because the controls are dynamically created...and recreated
            ' each request...so the bound properties are reinitialized.
            If NewLoad OrElse ((Not Page.IsPostBack)) Then
                UpdateUI(View.Activities)
                BindMailGrid()
                BindContactGrid()
                BindPastDueActivitiesGrid()
                BindActivitiesGrid()
                AddStyles()
                AddIconSizes()
                AddFontFaces()
            End If
        End Sub


#Region "Web Form Designer generated code"
        Protected Overrides Sub OnInit(ByVal e As EventArgs)
            '
            ' CODEGEN: This call is required by the ASP.NET Web Form Designer.
            '
            InitializeComponent()
            MyBase.OnInit(e)
        End Sub

        '''		Required method for Designer support - do not modify
        '''		the contents of this method with the code editor.
        ''' </summary>
        Private Sub InitializeComponent()
            '			Me.btnActivities.Click += New System.Web.UI.ImageClickEventHandler(Me.btnActivities_Click)
            '			Me.btnContacts.Click += New System.Web.UI.ImageClickEventHandler(Me.btnContact_Click)
            '			Me.btnEmail.Click += New System.Web.UI.ImageClickEventHandler(Me.btnEmail_Click)
            '			Me.btnStyles.Click += New System.Web.UI.ImageClickEventHandler(Me.btnStyles_Click)
            '			Me.gridPastDue.ItemDataBound += New System.Web.UI.WebControls.DataGridItemEventHandler(Me.gridPastDue_ItemDataBound)
            '			Me.gridPastDue.ItemCommand += New System.Web.UI.WebControls.DataGridCommandEventHandler(Me.gridPastDue_ItemCommand)
            '			Me.gridDueToday.ItemDataBound += New System.Web.UI.WebControls.DataGridItemEventHandler(Me.gridDueToday_ItemDataBound)
            '			Me.gridDueToday.ItemCommand += New System.Web.UI.WebControls.DataGridCommandEventHandler(Me.gridDueToday_ItemCommand)
            '			Me.btnAddActivity.Click += New System.EventHandler(Me.btnAddActivity_Click)
            '			Me.gridContacts.ItemDataBound += New System.Web.UI.WebControls.DataGridItemEventHandler(Me.gridContacts_ItemDataBound)
            '			Me.btnAddContact.Click += New System.EventHandler(Me.btnAddContact_Click)
            '			Me.gridEmail.ItemDataBound += New System.Web.UI.WebControls.DataGridItemEventHandler(Me.gridEmail_ItemDataBound)
            '			Me.gridEmail.ItemCommand += New System.Web.UI.WebControls.DataGridCommandEventHandler(Me.gridEmail_ItemCommand)
            '			Me.lnkCompose.Click += New System.EventHandler(Me.lnkCompose_Click)
            '			Me.ddStyles.SelectedIndexChanged += New System.EventHandler(Me.ddStyles_SelectedIndexChanged)
            '			Me.ddIconSize.SelectedIndexChanged += New System.EventHandler(Me.ddIconSize_SelectedIndexChanged)
            '			Me.ddFontFace.SelectedIndexChanged += New System.EventHandler(Me.ddFontFace_SelectedIndexChanged)
            '			Me.btnSend.Click += New System.EventHandler(Me.btnSend_Click)
            '			Me.btnClose.Click += New System.EventHandler(Me.btnClose_Click)
            '			Me.btnReply.Click += New System.EventHandler(Me.btnReply_Click)
            '			Me.btnForward.Click += New System.EventHandler(Me.btnForward_Click)
            '			Me.btnCloseActivity.Click += New System.EventHandler(Me.btnCloseActivity_Click)
            '			Me.btnMarkComplete.Click += New System.EventHandler(Me.btnMarkComplete_Click)
            '			Me.Load += New System.EventHandler(Me.Page_Load)

        End Sub
#End Region

        Private Sub btnContact_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnContacts.Click
            UpdateUI(View.Contacts)
        End Sub

        Private Sub btnActivities_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnActivities.Click
            UpdateUI(View.Activities)
        End Sub

        Private Sub btnEmail_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnEmail.Click
            UpdateUI(View.Email)
        End Sub

        Private Sub btnStyles_Click(ByVal sender As Object, ByVal e As System.Web.UI.ImageClickEventArgs) Handles btnStyles.Click
            UpdateUI(View.Styles)
        End Sub

        Private Sub UpdateUI(ByVal view As View)
            Select Case view
                Case view.Contacts
                    SetPanels(pnlContacts)
                    lblContactsTitle.Text = "<b>Contacts for " & Date.Now.ToShortDateString() & "</b>"
                Case view.Activities
                    SetPanels(pnlActivities)
                    lblActivitiesTitle.Text = "<b>Activities for " & Date.Now.ToShortDateString() & "</b>"
                Case view.Email
                    SetPanels(pnlEmail)
                    lblEmailTitle.Text = "<b>Email center</b>"
                Case view.Styles
                    SetPanels(pnlStyles)
                    lblStylesTitle.Text = "<b>Modify application style</b>"
            End Select
        End Sub

        Private Sub SetPanels(ByVal panel As LivePanel)
            Dim val As Boolean = False
            If pnlContacts Is panel Then
                val = (True)
            Else
                val = (False)
            End If
            pnlContacts.Visible = val
            If pnlActivities Is panel Then
                val = (True)
            Else
                val = (False)
            End If
            pnlActivities.Visible = val
            If pnlEmail Is panel Then
                val = (True)
            Else
                val = (False)
            End If
            pnlEmail.Visible = val
            If pnlStyles Is panel Then
                val = (True)
            Else
                val = (False)
            End If
            pnlStyles.Visible = val

            pnlCompose.Visible = False
            pnlViewMail.Visible = False
            pnlViewActivity.Visible = False
        End Sub

        Private Sub AddStyles()
            ddStyles.Items.Add("Classic")
            ddStyles.Items.Add("Silver")
            ddStyles.Items.Add("Orange")
            ddStyles.Items.Add("Green")
        End Sub

        Private Sub AddIconSizes()
            ddIconSize.Items.Add("Standard")
            ddIconSize.Items.Add("Large")
            ddIconSize.Items.Add("Small")
        End Sub

        Private Sub AddFontFaces()
            ddFontFace.Items.Add("Default")
            ddFontFace.Items.Add("Impact")
            ddFontFace.Items.Add("Comic Sans MS")
            ddFontFace.Items.Add("Courier New")
            ddFontFace.Items.Add("Times New Roman")
        End Sub

        Private Sub LoadFakeMail()
            ' First add columns
            Dim [date] As String = Date.Now.ToShortDateString()
            email.Add(New Email("John Doe", [date], "Meeting Tuesday", "Hey everyone,<br><br>The meeting Tuesday has been rescheduled for Wednesday. Let me know if there are any conflicts.<br><br>Thanks,<br>John"))
            email.Add(New Email("Bob Bobson", [date], "Thanks!", "Thanks for the help in the bug fix. Our app went live yesterday and is doing well."))
            email.Add(New Email("Jane Doe", [date], "Hello", "Hello,<br><br>Did you know you can save up to 75% on prescription drugs? Go to http://www.myspammypharmacy.com."))
            email.Add(New Email("Rob Robson", [date], "Would like to purchase", "Hello,<br>I would like to purchase your product. Can you process my order?"))
        End Sub

        Private Sub LoadFakeContacts()
            contacts.Add(New Contact("Acme Corp", "John Doe", "222-555-1212", "12/1/2004"))
            contacts.Add(New Contact("Microsoft", "Bill Gates", "111-555-1234", "11/15/2004"))
            contacts.Add(New Contact("FakeCo Software", "Jane Doe", "333-555-9876", "10/18/2004"))
            contacts.Add(New Contact("Blah Soft", "Jim Blah", "222-555-3131", "12/7/2004"))
            contacts.Add(New Contact("Initech", "Michael Bolton", "444-444-4444", "1/5/2004"))
        End Sub

        Private Sub LoadFakePastDueActivities()
            pastDueActivities.Add(New Activity("Run monthly reports", "Normal", "Task", "12/1/2004", "Need to run monthly sales reports for Bob."))
            pastDueActivities.Add(New Activity("Perform sales follow-ups", "High", "Phone", "12/5/2004", "Be sure to call back all sales from past week for follow-ups."))
            pastDueActivities.Add(New Activity("Fax leads to SoftTech", "Normal", "Fax", "12/6/2004", "Fax leads from yesterday to Doug at SoftTech."))
        End Sub

        Private Sub LoadFakeActivities()
            Dim [date] As String = Date.Now.ToShortDateString()
            activities.Add(New Activity("Sales meeting", "High", "Task", [date], "Meet with the sales team in the conference room at 3:00"))
            activities.Add(New Activity("Call John Doe", "Normal", "Phone", [date], "Call John Doe RE purchase of product."))
            activities.Add(New Activity("Call Jim Blah", "Low", "Phone", [date], "Call Jim Blah to set up lunch meeting during the conference in January"))
            activities.Add(New Activity("Send product info to Initech", "Normal", "Task", [date], "Send product information to Michael at Initech"))
        End Sub

        Private Sub BindMailGrid()
            gridEmail.DataSource = email
            gridEmail.DataBind()
        End Sub

        Private Sub BindContactGrid()
            gridContacts.DataSource = contacts
            gridContacts.DataBind()
        End Sub

        Private Sub BindPastDueActivitiesGrid()
            gridPastDue.DataSource = pastDueActivities
            gridPastDue.DataBind()
        End Sub

        Private Sub BindActivitiesGrid()
            gridDueToday.DataSource = activities
            gridDueToday.DataBind()
        End Sub

        Private Sub ddStyles_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddStyles.SelectedIndexChanged
            ddStyles.BufferedScript.Write("changeStyles('" & ddStyles.SelectedItem.Text & "');")
        End Sub

        Private Sub ddIconSize_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddIconSize.SelectedIndexChanged
            Dim u As Unit = Unit.Empty
            If ddIconSize.SelectedItem.Text = "Large" Then
                u = New Unit("50px")
            End If
            If ddIconSize.SelectedItem.Text = "Small" Then
                u = New Unit("30px")
            End If
            btnActivities.Width = u
            btnContacts.Width = u
            btnEmail.Width = u
            btnStyles.Width = u
        End Sub

        Private Sub ddFontFace_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ddFontFace.SelectedIndexChanged
            ddFontFace.BufferedScript.Write("changeFontFace('" & ddFontFace.SelectedItem.Text & "');")
        End Sub

        Private Sub lnkCompose_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles lnkCompose.Click
            pnlEmail.Visible = False
            pnlCompose.Visible = True
        End Sub

        Private Sub btnSend_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnSend.Click
            ' Wait a bit to simulate mailing.
            System.Threading.Thread.Sleep(2000)

            ' Display a messagebox
            Dim msg As String = "Message sent!" & vbCrLf & vbCrLf
            msg &= "...Well, not really. To simplify the application the email sending is simulated. "
            msg &= "However, it would be simple to integrate this with PowerTCP Mail for .NET to make "
            msg &= "this application able to send/receive email."

            LiveMessageBox1.Show(msg, DialogType.Alert)
        End Sub

        Private Sub gridEmail_ItemDataBound(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.DataGridItemEventArgs) Handles gridEmail.ItemDataBound
            If e.Item.ItemType = ListItemType.Item OrElse e.Item.ItemType = ListItemType.AlternatingItem Then
                e.Item.Cells(0).Text = "<img src='images/openmail.gif' align='absmiddle'> " & e.Item.Cells(0).Text

                Dim button As LinkButton = CType(e.Item.Cells(1).Controls(0), LinkButton)
                Dim mail As Email = CType(email(e.Item.ItemIndex), Email)
                button.Text = mail.Subject
            End If
        End Sub


        Private Sub btnClose_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnClose.Click
            pnlEmail.Visible = True
            pnlViewMail.Visible = False
        End Sub

        Private Sub btnReply_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnReply.Click
            LiveMessageBox1.Show("Sorry, the mail capability is stubbed out for demonstration purposes. You could easily make this work using PowerTCP Mail for .NET.", DialogType.Alert)

        End Sub

        Private Sub btnForward_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnForward.Click
            LiveMessageBox1.Show("Sorry, the mail capability is stubbed out for demonstration purposes. You could easily make this work using PowerTCP Mail for .NET.", DialogType.Alert)
        End Sub

        Private Sub gridContacts_ItemDataBound(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.DataGridItemEventArgs) Handles gridContacts.ItemDataBound
            If e.Item.ItemType = ListItemType.Item OrElse e.Item.ItemType = ListItemType.AlternatingItem Then
                e.Item.Cells(0).Text = "<img src='images/phone.gif' align='absmiddle'> " & e.Item.Cells(0).Text
            End If
        End Sub

        Private Sub btnAddContact_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAddContact.Click
            LiveMessageBox1.Show("Sorry, the add contact capability is stubbed out for demonstration purposes. Try some of the other stuff in the demo application to see LiveControls in action.", DialogType.Alert)
        End Sub

        Private Sub gridDueToday_ItemDataBound(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.DataGridItemEventArgs) Handles gridDueToday.ItemDataBound
            If e.Item.ItemType = ListItemType.Item OrElse e.Item.ItemType = ListItemType.AlternatingItem Then
                Dim button As LinkButton = CType(e.Item.Cells(0).Controls(0), LinkButton)
                Dim activity As Activity = CType(activities(e.Item.ItemIndex), Activity)
                button.Text = activity.Description
                Dim literal As New LiteralControl("&nbsp;<img src='images/" & e.Item.Cells(2).Text & ".gif' align='absmiddle'> " & e.Item.Cells(0).Text)
                e.Item.Cells(0).Controls.AddAt(0, literal)
            End If
        End Sub

        Private Sub gridPastDue_ItemDataBound(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.DataGridItemEventArgs) Handles gridPastDue.ItemDataBound
            If e.Item.ItemType = ListItemType.Item OrElse e.Item.ItemType = ListItemType.AlternatingItem Then
                Dim button As LinkButton = CType(e.Item.Cells(0).Controls(0), LinkButton)
                Dim activity As Activity = CType(pastDueActivities(e.Item.ItemIndex), Activity)
                button.Text = activity.Description
                Dim literal As New LiteralControl("&nbsp;<img src='images/" & e.Item.Cells(2).Text & ".gif' align='absmiddle'> " & e.Item.Cells(0).Text)
                e.Item.Cells(0).Controls.AddAt(0, literal)
            End If
        End Sub


        Private Sub SetActivityFields(ByVal activity As Activity)
            lblActivityDescription.Text = activity.Description
            lblDetail.Text = activity.Detail
            lblPriority.Text = activity.Priority
            lblType.Text = activity.Type
            lblDueDate.Text = activity.DueDate
        End Sub

        Private Sub btnAddActivity_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnAddActivity.Click
            LiveMessageBox1.Show("Sorry, the add activity capability is stubbed out for demonstration purposes. Try some of the other stuff in the demo application to see LiveControls in action.", DialogType.Alert)
        End Sub

        Private Sub btnCloseActivity_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnCloseActivity.Click
            pnlActivities.Visible = True
            pnlViewActivity.Visible = False
        End Sub

        Private Sub btnMarkComplete_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnMarkComplete.Click
            LiveMessageBox1.Show("Sorry, the mark activity complete capability is stubbed out for demonstration purposes. Try some of the other stuff in the demo application to see LiveControls in action.", DialogType.Alert)
        End Sub

        Private Sub gridEmail_ItemCommand(ByVal source As Object, ByVal e As System.Web.UI.WebControls.DataGridCommandEventArgs) Handles gridEmail.ItemCommand
            pnlEmail.Visible = False
            pnlViewMail.Visible = True

            Dim mail As Email = CType(email(e.Item.ItemIndex), Email)
            lblFrom.Text = mail.From
            lblDate.Text = mail.Date
            lblSubject.Text = mail.Subject
            lblMessage.Text = mail.Message
        End Sub

        Private Sub gridDueToday_ItemCommand(ByVal source As Object, ByVal e As System.Web.UI.WebControls.DataGridCommandEventArgs) Handles gridDueToday.ItemCommand
            pnlActivities.Visible = False
            pnlViewActivity.Visible = True

            SetActivityFields(CType(activities(e.Item.ItemIndex), Activity))
        End Sub

        Private Sub gridPastDue_ItemCommand(ByVal source As Object, ByVal e As System.Web.UI.WebControls.DataGridCommandEventArgs) Handles gridPastDue.ItemCommand
            pnlActivities.Visible = False
            pnlViewActivity.Visible = True

            SetActivityFields(CType(pastDueActivities(e.Item.ItemIndex), Activity))
        End Sub
    End Class
End Namespace
