<%@ Register TagPrefix="cc1" Namespace="Dart.LiveControls" Assembly="Dart.LiveControls" %>
<%@ Control Language="vb" AutoEventWireup="false" Codebehind="a)_streaming_real_time_data.ascx.vb" Inherits="LiveTutorial.streaming_real_time_data" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<p>This topic is actually a bit of a misnomer. There is no way to truly "stream" 
	real-time data from the server to the client in the classic sense (meaning a 
	sustained connection between server and client where the server streams data to 
	the client). However, you can approximate the streaming behavior by setting a 
	LiveTimer up to poll the server constantly for new changes, updating the 
	interface when changes are found.
</p>
<p>The following example demonstrates a remote "memory performance monitor". The 
	LiveTimer is used to poll the server for new info on it's memory use.</p>
<p><b>Instructions:</b> Click the Start button to begin the memory "streaming" 
	simulation. Press the Stop button to stop it.</p>
<h3>Remote Memory Performance Monitor</h3>
<cc1:livebutton id="btnStart" runat="server" Text="Start"></cc1:livebutton>&nbsp;&nbsp;&nbsp;
<cc1:livebutton id="btnStop" runat="server" Text="Stop"></cc1:livebutton><br>
<cc1:livelabel id="lblResults" runat="server"></cc1:livelabel>
<cc1:livetimer id="LiveTimer1" runat="server" Interval="250"></cc1:livetimer>