Imports System.Collections
Imports System.ComponentModel
Imports System.Web.SessionState
Imports System.Web.UI
Imports System.Web.UI.WebControls
Imports System.Web.UI.HtmlControls

Namespace LiveSamples
	''' <summary>
	''' Summary description for LiveComparison.
	''' </summary>
	Public Class LiveComparison
		Inherits System.Web.UI.Page

		Protected Label1 As System.Web.UI.WebControls.Label
		Protected WithEvents DropDownList1 As System.Web.UI.WebControls.DropDownList
		Protected Image1 As System.Web.UI.WebControls.Image
		Protected LiveLabel1 As Dart.LiveControls.LiveLabel
		Protected WithEvents LiveDropDownList1 As Dart.LiveControls.LiveDropDownList
		Protected LiveImage1 As Dart.LiveControls.LiveImage

		Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
			If Not IsPostBack Then
				' Populate the "Dead" Dropdown
				DropDownList1.Items.Add("Treman Falls-10")
				DropDownList1.Items.Add("Treman Falls-11")
				DropDownList1.Items.Add("Treman Falls-12")
				DropDownList1.Items.Add("Treman Falls-13")
				DropDownList1.Items.Add("Treman Falls-4")
				DropDownList1.Items.Add("Treman Falls-5")
				DropDownList1.SelectedIndex = 2
				DropDownList1_SelectedIndexChanged(Me, Nothing)

				' Populate the "Live" Dropdown
				LiveDropDownList1.Items.Add("Treman Falls-10")
				LiveDropDownList1.Items.Add("Treman Falls-11")
				LiveDropDownList1.Items.Add("Treman Falls-12")
				LiveDropDownList1.Items.Add("Treman Falls-13")
				LiveDropDownList1.Items.Add("Treman Falls-4")
				LiveDropDownList1.Items.Add("Treman Falls-5")
				LiveDropDownList1.SelectedIndex = 2
				LiveDropDownList1_SelectedIndexChanged(Me, Nothing)
			End If
		End Sub

		#Region "Web Form Designer generated code"
		Protected Overrides Sub OnInit(ByVal e As EventArgs)
			'
			' CODEGEN: This call is required by the ASP.NET Web Form Designer.
			'
			If Not Me.DesignMode Then
				InitializeComponent()
			End If
			MyBase.OnInit(e)
		End Sub

		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
'			Me.DropDownList1.SelectedIndexChanged += New System.EventHandler(Me.DropDownList1_SelectedIndexChanged)
'			Me.LiveDropDownList1.SelectedIndexChanged += New System.EventHandler(Me.LiveDropDownList1_SelectedIndexChanged)
'			Me.Load += New System.EventHandler(Me.Page_Load)

		End Sub
		#End Region

		Private Sub DropDownList1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles DropDownList1.SelectedIndexChanged
			Image1.Width = Unit.Pixel(200)
			Image1.ImageUrl = "slides/" & DropDownList1.SelectedItem.Text & ".jpg"
		End Sub

		Private Sub LiveDropDownList1_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles LiveDropDownList1.SelectedIndexChanged
			If LiveDropDownList1.SelectedIndex <> -1 Then
				LiveImage1.Width = Unit.Pixel(200)
				LiveImage1.ImageUrl = "slides/" & LiveDropDownList1.SelectedItem.Text & ".jpg"
			End If
		End Sub
	End Class
End Namespace
