using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using Dart.LiveControls;
using System.IO;
using System.Xml;
using System.Configuration;

namespace LiveSudoku
{
	/// <summary>
	/// A Sudoku puzzle sample developed with PowerWEB LiveControls
	/// </summary>
	public partial class game : System.Web.UI.Page
	{
		#region Controls
		protected Dart.LiveControls.LiveImageButton B01;
		protected Dart.LiveControls.LiveImageButton B02;
		protected Dart.LiveControls.LiveImageButton B03;
		protected Dart.LiveControls.LiveImageButton B04;
		protected Dart.LiveControls.LiveImageButton B05;
		protected Dart.LiveControls.LiveImageButton B06;
		protected Dart.LiveControls.LiveImageButton B07;
		protected Dart.LiveControls.LiveImageButton B08;
		protected Dart.LiveControls.LiveImageButton B14;
		protected Dart.LiveControls.LiveImageButton B28;
		protected Dart.LiveControls.LiveImageButton B21;
		protected Dart.LiveControls.LiveImageButton B22;
		protected Dart.LiveControls.LiveImageButton B23;
		protected Dart.LiveControls.LiveImageButton B24;
		protected Dart.LiveControls.LiveImageButton B25;
		protected Dart.LiveControls.LiveImageButton B30;
		protected Dart.LiveControls.LiveImageButton B31;
		protected Dart.LiveControls.LiveImageButton B32;
		protected Dart.LiveControls.LiveImageButton B33;
		protected Dart.LiveControls.LiveImageButton B34;
		protected Dart.LiveControls.LiveImageButton B35;
		protected Dart.LiveControls.LiveImageButton B36;
		protected Dart.LiveControls.LiveImageButton B37;
		protected Dart.LiveControls.LiveImageButton B38;
		protected Dart.LiveControls.LiveImageButton B40;
		protected Dart.LiveControls.LiveImageButton B41;
		protected Dart.LiveControls.LiveImageButton B50;
		protected Dart.LiveControls.LiveImageButton B51;
		protected Dart.LiveControls.LiveImageButton B60;
		protected Dart.LiveControls.LiveImageButton B70;
		protected Dart.LiveControls.LiveImageButton B72;
		protected Dart.LiveControls.LiveImageButton B80;
		protected Dart.LiveControls.LiveImageButton B81;
		protected Dart.LiveControls.LiveImageButton B42;
		protected Dart.LiveControls.LiveImageButton B43;
		protected Dart.LiveControls.LiveImageButton B44;
		protected Dart.LiveControls.LiveImageButton B45;
		protected Dart.LiveControls.LiveImageButton B00;
		protected Dart.LiveControls.LiveImageButton B10;
		protected Dart.LiveControls.LiveImageButton B11;
		protected Dart.LiveControls.LiveImageButton B12;
		protected Dart.LiveControls.LiveImageButton B13;
		protected Dart.LiveControls.LiveImageButton B15;
		protected Dart.LiveControls.LiveImageButton B16;
		protected Dart.LiveControls.LiveImageButton B17;
		protected Dart.LiveControls.LiveImageButton B18;
		protected Dart.LiveControls.LiveImageButton B20;
		protected Dart.LiveControls.LiveImageButton B26;
		protected Dart.LiveControls.LiveImageButton B27;
		protected Dart.LiveControls.LiveImageButton B46;
		protected Dart.LiveControls.LiveImageButton B47;
		protected Dart.LiveControls.LiveImageButton B48;
		protected Dart.LiveControls.LiveImageButton B52;
		protected Dart.LiveControls.LiveImageButton B53;
		protected Dart.LiveControls.LiveImageButton B54;
		protected Dart.LiveControls.LiveImageButton B55;
		protected Dart.LiveControls.LiveImageButton B56;
		protected Dart.LiveControls.LiveImageButton B57;
		protected Dart.LiveControls.LiveImageButton B58;
		protected Dart.LiveControls.LiveImageButton B61;
		protected Dart.LiveControls.LiveImageButton B62;
		protected Dart.LiveControls.LiveImageButton B63;
		protected Dart.LiveControls.LiveImageButton B64;
		protected Dart.LiveControls.LiveImageButton B65;
		protected Dart.LiveControls.LiveImageButton B66;
		protected Dart.LiveControls.LiveImageButton B67;
		protected Dart.LiveControls.LiveImageButton B68;
		protected Dart.LiveControls.LiveImageButton B71;
		protected Dart.LiveControls.LiveImageButton B73;
		protected Dart.LiveControls.LiveImageButton B74;
		protected Dart.LiveControls.LiveImageButton B75;
		protected Dart.LiveControls.LiveImageButton B76;
		protected Dart.LiveControls.LiveImageButton B77;
		protected Dart.LiveControls.LiveImageButton B78;
		protected Dart.LiveControls.LiveImageButton B82;
		protected Dart.LiveControls.LiveImageButton B83;
		protected Dart.LiveControls.LiveImageButton B84;
		protected Dart.LiveControls.LiveImageButton B85;
		protected Dart.LiveControls.LiveImageButton B86;
		protected Dart.LiveControls.LiveImageButton B87;
		protected Dart.LiveControls.LiveImageButton B88;
		protected Dart.LiveControls.LivePanel pnlMenu;
		protected Dart.LiveControls.LiveImageButton MB2;
		protected Dart.LiveControls.LiveImageButton MB3;
		protected Dart.LiveControls.LiveImageButton MB4;
		protected Dart.LiveControls.LiveImageButton MB5;
		protected Dart.LiveControls.LiveImageButton MB6;
		protected Dart.LiveControls.LiveImageButton MB7;
		protected Dart.LiveControls.LiveImageButton MB8;
		protected Dart.LiveControls.LiveImageButton MB9;
		protected Dart.LiveControls.LiveDropDownList ddlSkins;
		protected Dart.LiveControls.LivePanel pnlMainMenu;
		protected Dart.LiveControls.LiveImageButton cmdResetPuzzle;
		protected Dart.LiveControls.LiveLabel lblHeading;
		protected Dart.LiveControls.LiveLabel lblInstructions;
		protected Dart.LiveControls.LiveImageButton cmdChangeSkin;
		protected Dart.LiveControls.LiveLabel lblSkinLabel;
		protected System.Web.UI.WebControls.Table tblGrid;
        protected Dart.LiveControls.LivePanel pnlStage;
        protected Dart.LiveControls.LivePanel pnlGrid;
		protected Dart.LiveControls.LiveDropDownList ddlLevel;
		protected Dart.LiveControls.LiveLabel lblDifficulty;
		protected Dart.LiveControls.LiveImageButton MB0;
		protected Dart.LiveControls.LiveImageButton MB1;
		protected Dart.LiveControls.LiveLabel lblClock;
		protected Dart.LiveControls.LiveCheckBox lcbHintMode;
		protected Dart.LiveControls.LiveImageButton cmdSolved;
		protected Dart.LiveControls.LiveCallback LiveCallback1;
        #endregion

        private void Page_Load(object sender, System.EventArgs e)
		{
			
			if(!IsPostBack)
			{
				SetLevels();
				SetMenu();
				ResetPuzzle(currentSkin.ID);
			}
			else if (!pnlGrid.Visible)
			{
				pnlGrid.Visible = true;
				//pnlBanner.Visible = true;
				pnlMainMenu.Visible = true;
			}
			WireUpEvents();
			
		}


		#region Private Methods
		private void SetLevels()
		{
			DirectoryInfo pd = new DirectoryInfo(Server.MapPath("puzzles"));
			foreach(DirectoryInfo d in pd.GetDirectories())
			{
				ddlLevel.Items.Add(d.Name);
			}
		}
		private void ResetPuzzle(string skinID)
		{
			LoadPuzzle(currentLevel);
			SetSkin(skinID);
			cmdSolved.Visible = false;
			pnlMenu.Visible = false;
		}
		private void SetMenu()
		{
			for(int i = 0;i<skins.Count; i++)
			{
				Skin s = (Skin)skins[i];
				ddlSkins.Items.Add(new ListItem(s.Name,s.ID));
			}
		}
		private void SetSkin (string skinID)
		{
			int i = 0;
			foreach (Skin s in skins)
			{
				if (s.ID == skinID)
				{
					currentSkin = s;
					ddlSkins.SelectedIndex = i;
					DrawControls();
					this.lblSkinLabel.Text = currentSkin.Description;
					break;
				}
				i++;
			}
			pnlMenu.Visible = false;
		}

		private void LoadPuzzle(string level)
		{
			DirectoryInfo pd = new DirectoryInfo(Server.MapPath("puzzles/"+level));
			FileInfo[] ps = pd.GetFiles("*.puz");
			if (ps.Length>0)
			{
				Random r = new Random();
				int pIndex = r.Next(0,ps.Length);
				Puzzle p = new Puzzle(ps[pIndex].FullName);
				Session["puzzle"] = p;
			}
			else
				throw new Exception("No puzzles available for level [" + level + "]");
		}

		private void DrawControls()
		{
			//Set background stage
			SetStage();
			//Set game tiles
			SetTiles();
			//Set buttons
			SetButtons();
			//Set Menu
			SetMainMenu();

		}
		private void WireUpEvents()
		{
			//wire up event handlers for grid buttons
			for (int r = 0; r < 9; r++)
			{
				for(int c = 0; c < 9; c++)
				{
					LiveImageButton b = (LiveImageButton)FindControl("B"+r+c);
					if (b.Enabled)
						b.Click +=new ImageClickEventHandler(PuzzleButton_Click);
				}
			}
			for(int m = 0; m < 10; m++)
			{
				LiveImageButton mb = (LiveImageButton)FindControl("MB"+m);
				mb.Click += new ImageClickEventHandler(MenuButton_Click);
			}
		}

		private void SetStage()
		{
			pnlStage.Top = 0;
			pnlStage.Left = 0;
			//pnlStage.BackImageUrl = "skins/" + currentSkin.ID + "/" + currentSkin.BackImageUrl;
            pnlStage.BackColor = Color.Transparent;// currentSkin.BackColor;
            pnlStage.Width = docWidth;
            pnlStage.Height = docHeight;
			currentSkin.SetControlStyle(lblClock,"heading");
			SetTime();
		}

		private void SetTiles()
		{
			double tp = 100;// = ((docHeight-GridHeight)/2 - 25);
			double lf = (docWidth-GridWidth)/2;
			if (tp<0)tp=0;
			if (lf<0)lf=0;
			this.pnlGrid.Top = new Unit(tp,UnitType.Pixel);
			//setup main menu location
			GridOffset = (int)((currentSkin.MenuWidth.Value + currentSkin.MenuSpacing)/2);
			if (currentSkin.MenuLocation == "left")
			{
				this.pnlGrid.Left = new Unit(lf+GridOffset,UnitType.Pixel);
				this.pnlMainMenu.Left = new Unit(pnlGrid.Left.Value - currentSkin.MenuWidth.Value - currentSkin.MenuSpacing,UnitType.Pixel);
			}
			else if (currentSkin.MenuLocation == "right")
			{
				GridOffset = -GridOffset;
				this.pnlGrid.Left = new Unit(lf+GridOffset,UnitType.Pixel);
				this.pnlMainMenu.Left = new Unit(pnlGrid.Left.Value + GridWidth + currentSkin.MenuSpacing,UnitType.Pixel);
			}
			else //location cannot be determined
			{
				pnlMainMenu.Visible = false;
				this.pnlGrid.Left = new Unit(lf,UnitType.Pixel);
			}
			this.pnlMainMenu.Top = this.pnlGrid.Top;			
			this.pnlMainMenu.Width = currentSkin.MenuWidth;
			this.pnlMainMenu.Height = pnlGrid.Height;

			//draw buttons
			for (int r = 0; r < 9; r++)
			{
				for(int c = 0; c < 9; c++)
				{
					LiveImageButton b = (LiveImageButton)FindControl("B"+r+c);
					b.Width = currentSkin.TileWidth;
					b.Height = currentSkin.TileHeight;
					b.Enabled = (Puzzle.Grid[r,c] == 0);
					string imgUrl = "skins/" + this.currentSkin.ID + "/" + Puzzle.WorkingGrid[r,c];
					if (b.Enabled)
					{
						imgUrl += "x." + currentSkin.TileExtension;
					}
					else
					{
						b.Style.Add("cursor","default");
						if (IsAltSubGrid(r,c))
							imgUrl += "a." + currentSkin.TileExtension;
						else
							imgUrl += "." + currentSkin.TileExtension;
					}
					b.ImageUrl = imgUrl;
				}
			}

			pnlMenu.BackColor = currentSkin.PopupBackColor;
			
		}
		private bool IsAltSubGrid(int r,int c)
		{
			return (((r<3 || r>5) && (c<3 || c>5)) || (r>2 && r<6 && c>2 && c<6));
		}
		private void SetButtons()
		{
			pnlMenu.BackColor = currentSkin.PopupBackColor;
			for(int m = 1; m < 10; m++)
			{
				LiveImageButton b = (LiveImageButton)FindControl("MB"+m);
				b.Width = currentSkin.PopupButtonWidth;
				b.Height = currentSkin.PopupButtonHeight;
				b.ImageUrl = "skins/" + this.currentSkin.ID + "/" + m + "." + currentSkin.TileExtension;
			}
		}

		private void SetMainMenu()
		{
			//set up mainmenu styles
			currentSkin.SetControlStyle(lblHeading,"heading");
			currentSkin.SetControlStyle(lblInstructions,"subtext");
			currentSkin.SetControlStyle(lblDifficulty,"subtext");
			currentSkin.SetControlStyle(ddlSkins,"dropdowns");
			currentSkin.SetControlStyle(ddlLevel,"dropdowns");
			currentSkin.SetControlStyle(lblSkinLabel,"labels");
			currentSkin.SetControlStyle(lcbHintMode,"subtext");

			cmdChangeSkin.ImageUrl = "skins/" + currentSkin.ID + "/skin." + currentSkin.TileExtension;
			cmdResetPuzzle.ImageUrl = "skins/" + currentSkin.ID + "/reset." + currentSkin.TileExtension;
			cmdSolved.ImageUrl = "skins/" + currentSkin.ID + "/solved." + currentSkin.TileExtension;
			cmdSolved.Width = currentSkin.SolvedWidth;
			cmdSolved.Height = currentSkin.SolvedHeight;
			lcbHintMode.Checked = HintMode;
		}
		
		private void ShowMenu(string buttonId)
		{
			this.currentGridButton = buttonId;
			//calculate menu position
			int r = int.Parse(buttonId.Replace("B","").Substring(0,1));
			int c = int.Parse(buttonId.Replace("B","").Substring(1,1));
			int showCount = 10;
			for(int m = 0; m < 10; m++)
			{
				LiveImageButton b = (LiveImageButton)FindControl("MB"+m);
				b.Visible = true;
				b.Width = currentSkin.PopupButtonWidth;
				b.Height = currentSkin.PopupButtonHeight;
				if (IsAltSubGrid(r,c))
					b.ImageUrl = "skins/" + this.currentSkin.ID + "/" + m + "a." + currentSkin.TileExtension;
				else
					b.ImageUrl = "skins/" + this.currentSkin.ID + "/" + m + "." + currentSkin.TileExtension;
				if (HintMode && !Possibles(r,c).Contains(m))
				{
					b.Visible = false;
					showCount -= 1;
				}
			}
			int maxHeight = (int)(currentSkin.PopupButtonHeight.Value + 8)*showCount;
			int maxWidth = (int)(currentSkin.PopupButtonWidth.Value + 8);
			int tp = (int)(pnlGrid.Top.Value + (r*currentSkin.TileHeight.Value));
			int lf = (int)(pnlGrid.Left.Value + ((c+1)*currentSkin.TileWidth.Value));
			if (tp + maxHeight > docHeight)
				tp = docHeight - maxHeight;
			if (lf + maxWidth > docWidth)
				lf = docWidth - maxWidth + GridOffset;
			//show new menu
			pnlMenu.Top = (tp<0)?0:tp;
			pnlMenu.Left = (lf<0)?0:lf;
			pnlMenu.Visible = true;
			//MenuCountdown = 4;
		}

		private ArrayList Possibles(int row, int col)
		{
			//Generate list of possible selections for a given cell
			ArrayList list = new ArrayList();

			for (int n = 0; n <10; n++)
				list.Add(n);
			//column check
			for (int c = 0; c < 9; c++)
			{
				int n = Puzzle.Grid[row, c];
				if (n==0) n=Puzzle.WorkingGrid[row,c];
				if (n!=0 && c!=col) list.Remove(n);
			}
			//row check
			for (int r = 0; r < 9; r++)
			{
				int n = Puzzle.Grid[r, col];
				if (n==0) n=Puzzle.WorkingGrid[r,col];
				if (n!=0 && r!=row) list.Remove(n);
			}
			//subgrid check
			int rMin = ((int)(row/3))*3;
			int cMin = ((int)(col/3))*3;
			for (int cCk = cMin; cCk < cMin+3; cCk++)
			{
				for (int rCk = rMin; rCk < rMin+3; rCk++)
				{
					int n = Puzzle.Grid[rCk, cCk];
					if (n==0) n=Puzzle.WorkingGrid[row,col];
					if (n!=0 && rCk!=row && cCk!=col) list.Remove(n);
				}
			}
			return list;
		}

		private void SetTime()
		{
			int h = DateTime.Now.Hour;
			int m = DateTime.Now.Minute;
			string ap="am";
			if (h>=12)
			{
				ap = "pm";
				if (h>12) h-=12;
			}
			this.lblClock.Text = h.ToString().PadLeft(2,'0') + 	":" + m.ToString().PadLeft(2,'0') + " " + ap;
			pnlMenu.Visible = false;
		}

		private void SetStyle(CssStyleCollection sc, string ss)
		{
			sc.Clear();
			if (ss != "")
			{
				string[] sa = ss.Split(';');
				foreach (string s in sa)
				{
					if (s!="")
					{
						string[] kv = s.Split(':');
						sc.Add(kv[0],kv[1]);
					}
				}
			}
		}
		private void DisableButtons()
		{
			//Disable numbers that are set
			for (int r = 0; r < 9; r++)
			{
				for(int c = 0; c < 9; c++)
				{
					LiveImageButton b = (LiveImageButton)FindControl("B"+r+c);
					if (b.Enabled) b.Enabled = false;
				}
			}
		}

		#endregion

		#region Private Properties
		private Puzzle Puzzle
		{
			get
			{
				return (Puzzle)Session["puzzle"];
			}
		}

		private int docWidth
		{
			get
			{
				if (Session["docWidth"] == null)
				{
					docWidth = 1600;
					return 1600;
				}
				else
					return (int)Session["docWidth"];
			}
			set
			{	
				Session["docWidth"] = value;
			}
		}
		private int docHeight
		{
			get
			{
				if (Session["docHeight"] == null)
				{
					docHeight = 1200;
					return 1200;
				}
				else
					return (int)Session["docHeight"];
			}
			set
			{	
				Session["docHeight"] = value;
			}
		}
		private ArrayList skins
		{
			get
			{
				ArrayList al = (ArrayList)Session["skins"];
				if (al == null)
				{
					al = new ArrayList();
					DirectoryInfo sd = new DirectoryInfo(Server.MapPath("skins"));
					FileInfo[] skf = sd.GetFiles("*.xml");
					foreach(FileInfo f in skf)
					{
						try
						{
							XmlDocument doc = new XmlDocument();
							doc.Load(f.FullName);
							Skin s = new Skin(doc);
							al.Add(s);
						}
						catch
						{
							// ignore failures - for demo only
						}
					}
				}
				return al;
			}
		}
		private Skin currentSkin
		{
			get
			{
				Skin s = (Skin)Session["currentSkin"];
				if (s == null)
				{
					string dsid = System.Configuration.ConfigurationManager.AppSettings["defaultSkin"];
					foreach(Skin sk in skins)
					{
						if (sk.ID == dsid)
						{
							s = sk;
							break;
						}
					}
				}
				return s;
			}
			set
			{
				Session["currentSkin"] = value;
			}
		}

		private LivePanel stage
		{
			get
			{
				return (LivePanel)FindControl("pnlStage");
			}
		}

		private string currentGridButton
		{
			get
			{
				return (string)Session["currentGridButton"];
			}
			set
			{
				Session["currentGridButton"] = value;
			}
		}
		private int GridWidth
		{
			get
			{
				return (int)(currentSkin.TileWidth.Value * 9);
			}
		}
		private int GridHeight
		{
			get
			{
				return (int)(currentSkin.TileHeight.Value * 9);
			}
		}
		private int GridOffset
		{
			get
			{
				if (Session["gridOffset"] == null)
				{
					GridOffset = 0;
				}
				return (int)Session["gridOffset"];
			}
			set
			{
				Session["gridOffset"] = value;
			}
		}

		private string currentLevel
		{
			get
			{
				string l = (string)Session["currentLevel"];
				if (l == null)
				{
					l = "0";
					currentLevel = l;
				}
				return l;
			}
			set
			{
				Session["currentLevel"] = value;
			}
		}
		private bool HintMode
		{
			get
			{
				if (Session["HintMode"] == null)
					HintMode = false;
				return (bool)Session["HintMode"];
			}
			set
			{
				Session["HintMode"] = value;
			}
		}
		#endregion

		#region Events
		private void PuzzleButton_Click(object sender, ImageClickEventArgs e)
		{
			ShowMenu(((LiveImageButton)sender).ID);
		}
		private void MenuButton_Click(object sender, ImageClickEventArgs e)
		{
			//set the button
			if (currentGridButton != null)
			{
				LiveImageButton b = (LiveImageButton)FindControl(currentGridButton);
				LiveImageButton mb = (LiveImageButton)sender;
				int r = int.Parse(b.ID.Replace("B","").Substring(0,1));
				int c = int.Parse(b.ID.Replace("B","").Substring(1,1));
				int m = int.Parse(mb.ID.Replace("MB",""));
				Puzzle.WorkingGrid[r,c] = m;
				b.ImageUrl = "skins/" + this.currentSkin.ID + "/" + Puzzle.WorkingGrid[r,c] + "x." + currentSkin.TileExtension;
				if (Puzzle.IsSolved)
					this.Puzzle_Solved();
			}
			//hide the menu
			this.pnlMenu.Visible = false;
		}

		// Use the LiveCallback control to reset the form layout if the browser is resized
		public string setDocSize(string width, string height)
		{
			try
			{
				if (docWidth != int.Parse(width))
					docWidth = int.Parse(width);
				if (docHeight != int.Parse(height))
					docHeight = int.Parse(height);
				if (docWidth + docHeight > 0)
					DrawControls();
			}
			catch
			{
				//supress exceptions - for demo only
			}
			return "";
		}

		private void Puzzle_Solved()
		{
			cmdSolved.Visible = true;
			int tp = (int)(docHeight-currentSkin.SolvedHeight.Value)/2;
			int lf = (int)(docWidth-currentSkin.SolvedWidth.Value)/2;
			cmdSolved.Top = (tp<0)?0:tp;
			cmdSolved.Left = (lf<0)?0:lf;
			this.pnlMainMenu.Visible = false;
			this.pnlGrid.Visible = false;
		}
		private void pnlStage_GotFocus(object sender, System.EventArgs e)
		{
			//hide existing menu
			this.pnlMenu.Visible = false;
		}

		private void ddlSkins_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			SetSkin(ddlSkins.Items[ddlSkins.SelectedIndex].Value);
			this.ddlSkins.Visible = false;
		}

		private void cmdResetPuzzle_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			ResetPuzzle(currentSkin.ID);
		}

		private void cmdSolved_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			cmdSolved.Visible = false;
			ResetPuzzle(currentSkin.ID);
		}

		private void cmdChangeSkin_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.ddlSkins.Visible = true;
			pnlMenu.Visible = false;
		}

		private void ddlLevel_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			currentLevel = ddlLevel.Items[ddlLevel.SelectedIndex].Value;
			LoadPuzzle(currentLevel);
			ResetPuzzle(currentSkin.ID);
		}

		private void lcbHintMode_CheckedChanged(object sender, System.EventArgs e)
		{
			HintMode = lcbHintMode.Checked;
		}

		#endregion

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ddlLevel.SelectedIndexChanged += new System.EventHandler(this.ddlLevel_SelectedIndexChanged);
			this.lcbHintMode.CheckedChanged += new System.EventHandler(this.lcbHintMode_CheckedChanged);
			this.cmdResetPuzzle.Click += new System.Web.UI.ImageClickEventHandler(this.cmdResetPuzzle_Click);
			this.cmdChangeSkin.Click += new System.Web.UI.ImageClickEventHandler(this.cmdChangeSkin_Click);
			this.ddlSkins.SelectedIndexChanged += new System.EventHandler(this.ddlSkins_SelectedIndexChanged);
			this.cmdSolved.Click += new System.Web.UI.ImageClickEventHandler(this.cmdSolved_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion	

		
	}
}
