<%@ Register TagPrefix="cc1" Namespace="Dart.LiveControls" Assembly="Dart.LiveControls" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="e)_using_live_list_controls.ascx.cs" Inherits="LiveTutorial.f_using_live_list_controls" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<p>
PowerWEB LiveControls for ASP.NET contains four remote-scripted list controls:
<ul>
	<li>LiveDropDownList</li>
	<li>LiveListBox</li>
	<li>LiveRadioButtonList</li>
	<li>LiveCheckboxList</li>
</ul>
</p>
<p>The list controls support adding, removing, modifying, clearing, and re-binding within a remote-scripted callback,
with the client-interface automatically updated. In addition, selecting any of the list controls will raise a 
server-side SelectedIndexChanged event.</p>
<p><b>Instructions:</b> Click a class name to display the public properties, methods, and events for that class.
Click a property, method, or event name to display expanded information about that member.
</p>
<table width="100%">
	<tr>
		<td colspan="3" align="middle">
			<b>Live Control Classes:</b><br>
			<cc1:LiveListBox Width="200px" Height="150px" id="Livelistbox1" runat="server"></cc1:LiveListBox>
		</td>
	</tr>
	<tr>
		<td colspan="3">
			&nbsp;
		</td>
	</tr>
	<tr>
		<td align="middle">
			<b>Properties:</b><br>
			<cc1:LiveListBox Width="200px" Height="150px" id="Livelistbox2" runat="server"></cc1:LiveListBox>
		</td>
		<td align="middle">
			<b>Methods:</b><br>
			<cc1:LiveListBox Width="200px" Height="150px" id="Livelistbox3" runat="server"></cc1:LiveListBox>
		</td>
		<td align="middle">
			<b>Events:</b><br>
			<cc1:LiveListBox Width="200px" Height="150px" id="Livelistbox4" runat="server"></cc1:LiveListBox>
		</td>
	</tr>
	<tr>
		<td colspan="3" align="middle">
			<br><br>
			<cc1:LiveLabel id="LiveLabel1" runat="server"></cc1:LiveLabel>
		</td>
	</tr>
</table>
