<%@ Register TagPrefix="cc1" Namespace="Dart.LiveControls" Assembly="Dart.LiveControls" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="a)_interacting_with_microsoft_controls.ascx.cs" Inherits="LiveTutorial.a_interacting_with_microsoft_controls" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<p>You can dynamically update Microsoft server controls (controls contained within 
	System.Web.Ui.WebControls). For example, if you set the BackColor of a 
	Microsoft control from within a callback, the visual representation of that 
	control will be updated without a refresh.</p>
<p>Note. Microsoft controls CANNOT raise a callback that can be processed by 
	PowerWEB LiveControls by default (if you click any of the Calendar elements, it 
	raises a regular postback). If you require this, check out the LiveCallback 
	control, which can be used to raise and handle custom callbacks.</p>
<p><b>Instructions:</b> The following example demonstrates raising a callback using 
	a LiveButton, and updating the Calendar control. Click either button and the 
	Calendar will be updated without a refresh.
</p>
<p align="center">
	<cc1:LiveButton id="LiveButton1" runat="server" Text="Display Random Date"></cc1:LiveButton><br>
	<cc1:LiveButton id="LiveButton2" runat="server" Text="Display Random Style"></cc1:LiveButton>
	<br>
	<br>
	<asp:Calendar EnableViewState="false" id="Calendar1" runat="server" LiveControlUpdate="true" Enabled="False"></asp:Calendar>
</p>
