<%@ Register TagPrefix="cc1" Namespace="Dart.LiveControls" Assembly="Dart.LiveControls" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="b)_enhanced_UI_event_support.ascx.cs" Inherits="LiveTutorial.b_enhanced_UI_event_support" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<p>ASP.NET controls typically support such basic interaction events such as Click and SelectionChanged. Since LiveControls
is capable of much quicker communication with the server and much more responsive UI manipulation, a greater number of 
UI events are possible, such as events for mouse interaction and keypresses.</p>
<p><b>Instructions:</b> Interact with the graphic below with your mouse. Callbacks will be made to the server, triggering server-side events.
Try the following events:</p>
<table>
<tr>
	<td valign="top">
<ul>
<li>MouseUp
<li>MouseDown
<li>MouseEnter
<li>MouseLeave
</ul></td>
	<td valign="top">
<ul>
<li>Click
<li>DoubleClick
<li>ContextMenuChanged
</ul>
	</td>
</tr>
</table>

<p>The following events are not demonstrated in this sample, but are supported by live controls:</p>
<table>
<tr>
	<td>
	<ul>
<li>GotFocus
<li>LostFocus
<li>HelpRequested
</ul>
	</td>
	<td>
	<ul>
<li>KeyDown
<li>KeyPress
<li>KeyUp
</ul>
	</td>
</tr>
</table>
<cc1:liveimage id="LiveImage1" runat="server" ImageUrl="../../images/guy.jpg" Width="300px"></cc1:liveimage><br>
<span id="appendedText"></span>

